Package org.codehaus.groovy.control

## Interface CompilationUnit.ISourceUnitOperation

- All Known Implementing Classes:
    `CompilationUnit.SourceUnitOperation`
  Enclosing class:
    CompilationUnit
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface CompilationUnit.ISourceUnitOperation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `call​(SourceUnit source)` |
    `default void` | `doPhaseOperation​(CompilationUnit unit)` | A loop driver for applying operations to all SourceUnits.

- - ### Method Detail

    - #### call

          void call​(SourceUnit source)
             throws CompilationFailedException

      Throws:
        `CompilationFailedException`

    - #### doPhaseOperation

          default void doPhaseOperation​(CompilationUnit unit)
                                 throws CompilationFailedException

      A loop driver for applying operations to all SourceUnits. Automatically skips units that have already been processed through the current phase.
      Throws:
        `CompilationFailedException`